CircularEdgeMethod Class

class NXOpen.CAE.CircularEdgeMethod

Bases: NXOpen.SelectionMethod

Represents the output from the circular edge smart selector method

To obtain an instance of this class use CAE::SmartSelectionManager

New in version NX7.5.0.

Methods

Method Description
Dispose Frees the object from memory.
GetEdges Returns the resultant edges
GetSelectedObjects Returns the objects selected by this NXOpen.SelectionMethod.

Method Detail

Dispose

CircularEdgeMethod.Dispose

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Signature Dispose()

New in version NX7.5.0.

License requirements: None.

GetEdges

CircularEdgeMethod.GetEdges

Returns the resultant edges

Signature GetEdges()

Returns:Resultant edges
Return type:list of NXOpen.CAE.CAEEdge

New in version NX6.0.4.

License requirements: None.